Browse the API reference

List Passkeys

get/v1/auth/passkeys

Part of Auth.

The authenticated user's enrolled passkeys.

Authentication

Authenticate with:

  • API key in the X-API-Key header.

Example request

curl
curl -X GET "https://api.robosystems.ai/v1/auth/passkeys" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

200 Successful Response

FieldTypeDescription
passkeysrequiredPasskeyInfo[]

Enrolled passkeys

PasskeyInfo fields
FieldTypeDescription
idrequiredstring

Passkey identifier

namerequiredstring

User-facing label

created_atrequiredstring

Enrollment time (ISO 8601)

last_used_atoptionalstring

Last successful assertion time (ISO 8601)

backup_eligiblerequiredboolean

Whether the credential is synced (multi-device) capable

backup_staterequiredboolean

Whether the credential is currently backed up

StatusMeaning
400Invalid request
429Rate limit exceeded
500Internal server error